summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2007-06-24 11:19:11 +0000
committerHans de Graaff <graaff@gentoo.org>2007-06-24 11:19:11 +0000
commit9770cc83074ef6a22e1e4d0250fe9f3a96554df9 (patch)
treea56bdfaee9ea550644b653474c3efba0579dfea5 /app-editors/xemacs
parentTest numerical condition and return instead of exit in elisp-comp(). (diff)
downloademacs-9770cc83074ef6a22e1e4d0250fe9f3a96554df9.tar.gz
emacs-9770cc83074ef6a22e1e4d0250fe9f3a96554df9.tar.bz2
emacs-9770cc83074ef6a22e1e4d0250fe9f3a96554df9.zip
Initial version of xemacs 21.5 beta build
svn path=/emacs-overlay/; revision=466
Diffstat (limited to 'app-editors/xemacs')
-rw-r--r--app-editors/xemacs/Manifest25
-rw-r--r--app-editors/xemacs/files/digest-xemacs-21.5.286
-rw-r--r--app-editors/xemacs/files/font-lock-warning-face.patch19
-rw-r--r--app-editors/xemacs/files/gdbm-and-db.patch37
-rw-r--r--app-editors/xemacs/files/xemacs-21.4.19-db.patch84
-rw-r--r--app-editors/xemacs/files/xemacs.desktop34
-rw-r--r--app-editors/xemacs/xemacs-21.5.28.ebuild251
7 files changed, 456 insertions, 0 deletions
diff --git a/app-editors/xemacs/Manifest b/app-editors/xemacs/Manifest
new file mode 100644
index 0000000..c92a004
--- /dev/null
+++ b/app-editors/xemacs/Manifest
@@ -0,0 +1,25 @@
+AUX font-lock-warning-face.patch 766 RMD160 54a1eb71872a97d10aadc30326fa600356eb821c SHA1 33a590b2f79291262e50b240f9ac518ae555020f SHA256 608eeb3e9b02519cc0373782c00cf7f42914abf93b05c2509490e3c00d4c987c
+MD5 54a1bc4475e7f6bd1a2c0f3672f9b527 files/font-lock-warning-face.patch 766
+RMD160 54a1eb71872a97d10aadc30326fa600356eb821c files/font-lock-warning-face.patch 766
+SHA256 608eeb3e9b02519cc0373782c00cf7f42914abf93b05c2509490e3c00d4c987c files/font-lock-warning-face.patch 766
+AUX gdbm-and-db.patch 1425 RMD160 e0481823ea9d192a32737e71896a3ccde478db5c SHA1 60077800c56c49f8db1911bc5d787e9fb2bb4685 SHA256 bc2c38dfa7a4cc014d6e1776cb09c4219e40ba066fb29861264eb83642ed757e
+MD5 6c2caf3f4c7f48b367615822b7d17bff files/gdbm-and-db.patch 1425
+RMD160 e0481823ea9d192a32737e71896a3ccde478db5c files/gdbm-and-db.patch 1425
+SHA256 bc2c38dfa7a4cc014d6e1776cb09c4219e40ba066fb29861264eb83642ed757e files/gdbm-and-db.patch 1425
+AUX xemacs-21.4.19-db.patch 3157 RMD160 354d4b70dce5313ecd8732336b2562f66153c351 SHA1 f83a0870a07a10ec5f177c0e0292607463ff095a SHA256 c0c0cf18ccd01ee0e34e913c4f275977f4f61aa7343fef9fdff1f3ba84096022
+MD5 a12de857b01fe56475a9221b8a93325f files/xemacs-21.4.19-db.patch 3157
+RMD160 354d4b70dce5313ecd8732336b2562f66153c351 files/xemacs-21.4.19-db.patch 3157
+SHA256 c0c0cf18ccd01ee0e34e913c4f275977f4f61aa7343fef9fdff1f3ba84096022 files/xemacs-21.4.19-db.patch 3157
+AUX xemacs.desktop 1080 RMD160 9ddca2747abcc4e7a8bb305740942f62daa73ba6 SHA1 6a3a88ea334b510951a15efb126c4fb71a3b8c38 SHA256 a97f2b5f1b85fde16eaf6b00cd3889a0c2777a0e2c1d7d3d2814f752a976b060
+MD5 dcc34b333a77cb16d44bc60a2310b364 files/xemacs.desktop 1080
+RMD160 9ddca2747abcc4e7a8bb305740942f62daa73ba6 files/xemacs.desktop 1080
+SHA256 a97f2b5f1b85fde16eaf6b00cd3889a0c2777a0e2c1d7d3d2814f752a976b060 files/xemacs.desktop 1080
+DIST NeXT_XEmacs.tar.gz 39571 RMD160 3c2cedf75e4ece412031b20a15614a78367393f4 SHA1 619912734b1a1fae5115941b904d41beb4765b47 SHA256 35a0d988fd4ee801572639a99798571aa9fad140ddbed1455565ae9d5e0086c7
+DIST xemacs-21.5.28.tar.gz 15310202 RMD160 a225a2da39c22dccbc5d14399d40dadecead5e11 SHA1 6de5f4b4cecac0480dd9ff50170a72f23f36dbac SHA256 588a3970ee44426975cd86026a932ed0e2cf47f597ebcf76d376bbd18638eae2
+EBUILD xemacs-21.5.28.ebuild 6885 RMD160 ce5a47f1f7dafbb404b26eadb008f2cee0ecefe6 SHA1 e32ad58d2e307fd42cdb00961d64bba67e8a608e SHA256 64fcf1af3c4129aa261a15d277878728631242bc8badebbb5820820dc72177f4
+MD5 6cb379e0e20b0bb9fcdd6f8f5225974f xemacs-21.5.28.ebuild 6885
+RMD160 ce5a47f1f7dafbb404b26eadb008f2cee0ecefe6 xemacs-21.5.28.ebuild 6885
+SHA256 64fcf1af3c4129aa261a15d277878728631242bc8badebbb5820820dc72177f4 xemacs-21.5.28.ebuild 6885
+MD5 b83616acf1ac70a93c56df96f25e5378 files/digest-xemacs-21.5.28 482
+RMD160 a86113268eeef04fcd5bdc5be149fb5cecc183af files/digest-xemacs-21.5.28 482
+SHA256 65b5fcae35ac740ec61bdc7e45942f7cb15ce08b229561f79db7feb145708b3c files/digest-xemacs-21.5.28 482
diff --git a/app-editors/xemacs/files/digest-xemacs-21.5.28 b/app-editors/xemacs/files/digest-xemacs-21.5.28
new file mode 100644
index 0000000..8981fb1
--- /dev/null
+++ b/app-editors/xemacs/files/digest-xemacs-21.5.28
@@ -0,0 +1,6 @@
+MD5 95c531ec2639990a09e92c59a855784e NeXT_XEmacs.tar.gz 39571
+RMD160 3c2cedf75e4ece412031b20a15614a78367393f4 NeXT_XEmacs.tar.gz 39571
+SHA256 35a0d988fd4ee801572639a99798571aa9fad140ddbed1455565ae9d5e0086c7 NeXT_XEmacs.tar.gz 39571
+MD5 12e35715c5239c63651a8189973527ab xemacs-21.5.28.tar.gz 15310202
+RMD160 a225a2da39c22dccbc5d14399d40dadecead5e11 xemacs-21.5.28.tar.gz 15310202
+SHA256 588a3970ee44426975cd86026a932ed0e2cf47f597ebcf76d376bbd18638eae2 xemacs-21.5.28.tar.gz 15310202
diff --git a/app-editors/xemacs/files/font-lock-warning-face.patch b/app-editors/xemacs/files/font-lock-warning-face.patch
new file mode 100644
index 0000000..176bb39
--- /dev/null
+++ b/app-editors/xemacs/files/font-lock-warning-face.patch
@@ -0,0 +1,19 @@
+Index: font-lock.el
+===================================================================
+RCS file: /pack/xemacscvs/XEmacs/xemacs/lisp/font-lock.el,v
+retrieving revision 1.31
+diff -u -B -r1.31 font-lock.el
+--- lisp/font-lock.el 2006/11/01 23:14:33 1.31
++++ lisp/font-lock.el 2007/06/23 07:14:17
+@@ -721,6 +721,11 @@
+ It is present only for horrid FSF compatibility reasons.
+ The corresponding face should be set using `edit-faces' or the
+ `set-face-*' functions.")
++(defvar font-lock-warning-face 'font-lock-warning-face
++ "This variable should not be set.
++It is present only for horrid FSF compatibility reasons.
++The corresponding face should be set using `edit-faces' or the
++`set-face-*' functions.")
+
+ (defconst font-lock-face-list
+ '(font-lock-comment-face
diff --git a/app-editors/xemacs/files/gdbm-and-db.patch b/app-editors/xemacs/files/gdbm-and-db.patch
new file mode 100644
index 0000000..d3c5d5f
--- /dev/null
+++ b/app-editors/xemacs/files/gdbm-and-db.patch
@@ -0,0 +1,37 @@
+XEmacs uses the legacy dbm mode from gdbm but does not take into
+account that this function may be in gdbm_compat instead of gdbm.
+
+The Berkely DB checks aren't correct for version 4 due to a minor
+thinko.
+
+Index: configure.ac
+===================================================================
+RCS file: /pack/xemacscvs/XEmacs/xemacs/configure.ac,v
+retrieving revision 1.59
+diff -u -B -r1.59 configure.ac
+--- configure.ac 2007/05/21 03:50:13 1.59
++++ configure.ac 2007/06/24 08:44:04
+@@ -5391,10 +5391,13 @@
+ if test "$enable_database_gdbm" != "no"; then
+ AC_CHECK_LIB(gdbm, dbm_open, [
+ enable_database_gdbm=yes enable_database_dbm=no libdbm=-lgdbm], [
++ AC_CHECK_LIB(gdbm_compat, dbm_open, [
++ enable_database_gdbm=yes enable_database_dbm=no libdbm="-lgdbm_compat -lgdbm"], [
+ if test "$enable_database_gdbm" = "yes"; then
+ XE_DIE("Required GNU DBM support cannot be provided.")
+ fi
+- enable_database_gdbm=no])
++ enable_database_gdbm=no], -lgdbm)
++ ])
+ fi
+
+ dnl Check for DBM support in libc and libdbm.
+@@ -5475,7 +5478,7 @@
+ fi
+
+ dnl Berk db 4.1 decorates public functions with version information
+- if test "$enable_database_berkdb" != "yes" -a "$dbver" = "4"; then
++ if test "$enable_database_berkdb" = "yes" -a "$dbver" = "4"; then
+ rm -f $tempcname
+ echo "#include <$db_h_file>" > $tempcname
+ echo "configure___ dbfunc=db_create" >> $tempcname
diff --git a/app-editors/xemacs/files/xemacs-21.4.19-db.patch b/app-editors/xemacs/files/xemacs-21.4.19-db.patch
new file mode 100644
index 0000000..cf87d60
--- /dev/null
+++ b/app-editors/xemacs/files/xemacs-21.4.19-db.patch
@@ -0,0 +1,84 @@
+This patch fixes several database-related problems.
+
+dbm_open has been moved into gdbm_compat, so we check for that and include it.
+
+ndbm.h is located in /usr/include/gdbm on Gentoo, so we only check
+there, given that we don't support normal dbm installations, and we
+patch database.c as well. Not portable beyond Gentoo, but will work
+for us.
+
+The checks for Berkeley DB only took into account up to version
+3. Added checks to deal with several versions 4 as well.
+
+--- xemacs-21.4.19/configure.in 2005-12-24 01:48:14.000000000 +0100
++++ xemacs-21.4.19-db/configure.in 2006-06-11 22:43:52.000000000 +0200
+@@ -4502,7 +4502,7 @@
+
+ dnl Check for ndbm.h, required for either kind of DBM support.
+ if test "$with_database_gdbm $with_database_dbm" != "no no"; then
+- AC_CHECK_HEADER(ndbm.h, [:], [
++ AC_CHECK_HEADER(gdbm/ndbm.h, [:], [
+ test "$with_database_gdbm" = "yes" -o \
+ "$with_database_dbm" = "yes" && \
+ XE_DIE("Required DBM support cannot be provided.")
+@@ -4513,10 +4513,13 @@
+ if test "$with_database_gdbm" != "no"; then
+ AC_CHECK_LIB(gdbm, dbm_open, [
+ with_database_gdbm=yes with_database_dbm=no libdbm=-lgdbm], [
++ AC_CHECK_LIB(gdbm_compat, dbm_open, [
++ with_database_gdbm=yes with_database_dbm=no libdbm="-lgdbm_compat -lgdbm"], [
+ if test "$with_database_gdbm" = "yes"; then
+ XE_DIE("Required GNU DBM support cannot be provided.")
+ fi
+- with_database_gdbm=no])
++ with_database_gdbm=no], -lgdbm)
++ ])
+ fi
+
+ dnl Check for DBM support in libc and libdbm.
+@@ -4614,11 +4617,30 @@
+ #if DB_VERSION_MAJOR > 2
+ yes
+ #endif
+-], [AC_MSG_RESULT(3); dbfunc=db_create],[
+- AC_MSG_RESULT(2); dbfunc=db_open])],[
+- AC_MSG_RESULT(1); dbfunc=dbopen])
++], [AC_EGREP_CPP(yes,
++[#include <$db_h_file>
++#if DB_VERSION_MAJOR > 3
++yes
++#endif
++], [AC_MSG_RESULT(4); dbfunc=db_create; dbver=4],[
++ AC_MSG_RESULT(3); dbfunc=db_create; dbver=3])],[
++ AC_MSG_RESULT(2); dbfunc=db_open; dbver=2])],[
++ AC_MSG_RESULT(1); dbfunc=dbopen; dbver=1])
+ AC_CHECK_FUNC($dbfunc, with_database_berkdb=yes need_libdb=no, [
+- AC_CHECK_LIB(db, $dbfunc, with_database_berkdb=yes need_libdb=yes)])
++ AC_CHECK_LIB(db, db_create_4002, with_database_berkdb=yes need_libdb=yes)])
++ fi
++
++ dnl Berk db 4.1 decorates public functions with version information
++ if test "$have_database_berkdb" != "yes" -a "$dbver" = "4"; then
++ rm -f $tempcname
++ echo "#include <$db_h_file>" > $tempcname
++ echo "configure___ dbfunc=db_create" >> $tempcname
++ define(TAB, [ ])dnl
++ eval `$CPP -Isrc $tempcname \
++ | sed -n -e "s/[[ TAB]]*=[[ TAB\"]]*/='/" -e "s/[[ TAB\"]]*\$/'/" -e "s/^configure___//p"`
++ rm -f $tempcname
++ AC_MSG_WARN("db_create is really $dbfunc")
++ AC_CHECK_LIB(db, $dbfunc, have_database_berkdb=yes need_libdb=yes)
+ fi
+
+ if test "$with_database_berkdb" = "yes"; then
+--- xemacs-21.4.19/src/database.c 2005-12-24 01:52:35.000000000 +0100
++++ xemacs-21.4.19-db/src/database.c 2006-06-13 21:00:01.000000000 +0200
+@@ -82,7 +82,7 @@
+ #endif /* HAVE_BERKELEY_DB */
+
+ #ifdef HAVE_DBM
+-#include <ndbm.h>
++#include <gdbm/ndbm.h>
+ Lisp_Object Qdbm;
+ #endif /* HAVE_DBM */
+
diff --git a/app-editors/xemacs/files/xemacs.desktop b/app-editors/xemacs/files/xemacs.desktop
new file mode 100644
index 0000000..54f23a2
--- /dev/null
+++ b/app-editors/xemacs/files/xemacs.desktop
@@ -0,0 +1,34 @@
+[Desktop Entry]
+Name=XEmacs Text Editor
+Name[bg]=редактор XEmacs
+Name[ca]=Editor XEmacs
+Name[cs]=Editor XEmacs
+Name[da]=XEmacs tekstredigerer
+Name[de]=XEmacs Texteditor
+Name[eo]=La redaktilo XEmakso
+Name[es]=Emacs para X
+Name[et]=Emacs X'i kasutajaliidesega
+Name[fi]=XEmacs editori
+Name[fr]=Éditeur XEmacs
+Name[hu]=XEmacs szövegszerkesztő
+Name[is]=XEmacs-ritill
+Name[it]=Emacs per X
+Name[ja]=XEmacs テキスト・エディター
+Name[mk]=Софистицираниот XEmacs уредувач
+Name[no]=XEmacs-tekstredigerer
+Name[pt]=Editor XEmacs
+Name[ro]=Editorul XEmacs
+Name[ru]=Редактор XEmacs
+Name[sk]=Editor XEmacs
+Name[sl]=Urejevalnik XEmacs
+Name[uk]=Редактор XEmacs
+GenericName=Text Editor
+Comment=Edit text
+MimeType=text/english;text/plain;text/x-makefile;text/x-c++hdr;text/x-c++src;text/x-chdr;text/x-csrc;text/x-java;text/x-moc;text/x-pascal;text/x-tcl;text/x-tex;application/x-shellscript;text/x-c;text/x-c++;
+Exec=xemacs %f
+Icon=xemacs
+Type=Application
+Terminal=false
+Categories=Development;TextEditor;
+Encoding=UTF-8
+StartupWMClass=Emacs
diff --git a/app-editors/xemacs/xemacs-21.5.28.ebuild b/app-editors/xemacs/xemacs-21.5.28.ebuild
new file mode 100644
index 0000000..8421c20
--- /dev/null
+++ b/app-editors/xemacs/xemacs-21.5.28.ebuild
@@ -0,0 +1,251 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-editors/xemacs/xemacs-21.4.20-r3.ebuild,v 1.4 2007/04/30 23:04:57 ulm Exp $
+
+# Note: xemacs currently does not work with a hardened profile. If you
+# want to use xemacs on a hardened profile then compile with the
+# -nopie flag in CFLAGS or help fix bug #75028.
+
+export WANT_AUTOCONF="2.5"
+inherit autotools eutils flag-o-matic
+
+DESCRIPTION="highly customizable open source text editor and application development system"
+HOMEPAGE="http://www.xemacs.org/"
+SRC_URI="http://ftp.xemacs.org/xemacs-21.5/${P}.tar.gz
+ http://www.malfunction.de/afterstep/files/NeXT_XEmacs.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="alsa debug eolconv esd gif gpm pop postgres ldap xface nas dnd X jpeg tiff png mule motif freewnn canna xft xim athena neXt Xaw3d gdbm berkdb"
+
+X_DEPEND="x11-libs/libXt x11-libs/libXmu x11-libs/libXext x11-misc/xbitmaps"
+
+DEPEND="virtual/libc
+ !virtual/xemacs
+ berkdb? ( sys-libs/db )
+ gdbm? ( >=sys-libs/gdbm-1.8.3 )
+ >=sys-libs/zlib-1.1.4
+ >=dev-libs/openssl-0.9.6
+ >=media-libs/audiofile-0.2.3
+ gpm? ( >=sys-libs/gpm-1.19.6 )
+ postgres? ( >=dev-db/postgresql-7.2 )
+ ldap? ( net-nds/openldap )
+ alsa? ( media-libs/alsa-lib )
+ esd? ( media-sound/esound )
+ nas? ( media-libs/nas )
+ X? ( $X_DEPEND !Xaw3d? ( !neXt? ( x11-libs/libXaw ) ) )
+ dnd? ( x11-libs/dnd )
+ motif? ( >=x11-libs/openmotif-2.1.30 )
+ athena? ( x11-libs/libXaw )
+ Xaw3d? ( x11-libs/Xaw3d )
+ xft? ( media-libs/freetype x11-libs/libXrender media-libs/fontconfig )
+ neXt? ( x11-libs/neXtaw )
+ xface? ( media-libs/compface )
+ tiff? ( media-libs/tiff )
+ png? ( =media-libs/libpng-1.2* )
+ jpeg? ( media-libs/jpeg )
+ canna? ( app-i18n/canna )
+ !amd64? ( freewnn? ( app-i18n/freewnn ) )
+ >=sys-libs/ncurses-5.2
+ >=app-admin/eselect-emacs-0.7-r1"
+
+PDEPEND="app-xemacs/xemacs-base
+ mule? ( app-xemacs/mule-base )"
+
+PROVIDE="virtual/xemacs virtual/editor"
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ use neXt && unpack NeXT_XEmacs.tar.gz
+
+ cd "${S}"
+
+ # see bug 58350, 102540 and 143580
+ epatch "${FILESDIR}"/gdbm-and-db.patch
+
+ # Fix font-lock-warning-face not being exported, needed for
+ # gentoo-syntax
+ epatch "${FILESDIR}"/font-lock-warning-face.patch
+
+ eautoconf
+
+ use neXt && cp "${WORKDIR}"/NeXT.XEmacs/xemacs-icons/* "${S}"/etc/toolbar/
+}
+
+src_compile() {
+ local myconf=""
+
+ if use X; then
+
+ myconf="${myconf} --with-widgets=athena"
+ myconf="${myconf} --with-dialogs=athena"
+ myconf="${myconf} --with-menubars=lucid"
+ myconf="${myconf} --with-scrollbars=lucid"
+ if use motif ; then
+ myconf="--with-widgets=motif"
+ myconf="${myconf} --with-dialogs=motif"
+ myconf="${myconf} --with-scrollbars=motif"
+ myconf="${myconf} --with-menubars=lucid"
+ fi
+ if use athena ; then
+ myconf="--with-scrollbars=athena"
+ fi
+
+ if use Xaw3d; then
+ myconf="${myconf} --with-athena=3d"
+ elif use neXt; then
+ myconf="${myconf} --with-athena=next"
+ else
+ myconf="${myconf} --with-athena=xaw"
+ fi
+
+ use dnd && myconf="${myconf} --with-dragndrop --with-offix"
+
+ use tiff && myconf="${myconf} --with-tiff" ||
+ myconf="${myconf} --without-tiff"
+ use png && myconf="${myconf} --with-png" ||
+ myconf="${myconf} --without-png"
+ use jpeg && myconf="${myconf} --with-jpeg" ||
+ myconf="${myconf} --without-jpeg"
+ use xface && myconf="${myconf} --with-xface" ||
+ myconf="${myconf} --without-xface"
+
+ use xft && myconf="${myconf} --with-xft=emacs,tabs,menubars,gauges" ||
+ myconf="${myconf} --with-xft=no"
+
+ else
+ myconf="${myconf}
+ --without-x
+ --without-xpm
+ --without-dragndrop
+ --with-xft=no
+ --with-gif=no"
+ fi
+
+ if use mule ; then
+ myconf="${myconf} --with-mule"
+
+ if use xim ; then
+ if use motif ; then
+ myconf="${myconf} --with-xim=motif"
+ else
+ myconf="${myconf} --with-xim=xlib"
+ fi
+ else
+ myconf="${myconf} --with-xim=no"
+ fi
+
+ use canna && myconf="${myconf} --with-canna" ||
+ myconf="${myconf} --without-canna"
+ use freewnn && myconf="${myconf} --with-wnn" ||
+ myconf="${myconf} --without-wnn"
+ fi
+
+ # This determines the type of sounds we are playing
+ local soundconf="native"
+
+ # This determines how these sounds should be played
+ use nas && soundconf="${soundconf},nas"
+ use esd && soundconf="${soundconf},esd"
+ use alsa
+
+ myconf="${myconf} --with-sound=${soundconf}"
+
+ if use gdbm || use berkdb ; then
+ if use gdbm ; then
+ mydb="gdbm"
+ # We have GDBM in a non-standard location
+ append-flags "-I/usr/include/gdbm"
+ fi
+
+ use berkdb && mydb="${mydb},berkdb"
+
+ myconf="${myconf} --with-database=${mydb}"
+ else
+ myconf="${myconf} --without-database"
+ fi
+
+ # fixes #21264, this should be fixed in 21.4.21 and has been fixed
+ # in 21.5 for sure.
+ use alpha && myconf="${myconf} --with-system-malloc"
+ use ppc64 && myconf="${myconf} --with-system-malloc"
+ use ia64 && myconf="${myconf} --with-system-malloc"
+
+ use debug && myconf="${myconf} --with-optimization=no --with-debug" ||
+ myconf="${myconf} --with-optimizations=yes"
+
+ # Don't use econf because it uses options which this configure
+ # script does not understand (like --host).
+ econf ${myconf} \
+ $(use_with gif ) \
+ $(use_with gpm ) \
+ $(use_with postgres postgresql ) \
+ $(use_with ldap ) \
+ $(use_with eolconv file-coding ) \
+ $(use_with pop ) \
+ --prefix=/usr \
+ --with-ncurses \
+ --with-msw=no \
+ --with-mail-locking=flock \
+ --with-site-lisp=yes \
+ --with-site-modules=yes \
+ --with-newgc \
+ || die
+
+ emake || die
+}
+
+src_install() {
+ make prefix="${D}"/usr \
+ mandir="${D}"/usr/share/man/man1 \
+ infodir="${D}"/usr/share/info \
+ libdir="${D}"/usr/lib \
+ install gzip-el || die
+
+ # Rename some applications installed in bin so that it is clear
+ # which application installed them and so that conflicting
+ # packages (emacs) can't clobber the actual applications.
+ # Addresses bug #62991.
+ for i in b2m ctags etags rcs-checkin ; do
+ mv "${D}"/usr/bin/${i} "${D}"/usr/bin/${i}-xemacs || die "mv ${i} failed"
+ done
+
+ # rename man pages
+ for i in ctags etags; do
+ mv "${D}"/usr/share/man/man1/${i}{,-xemacs}.1 || die "mv ${i}.1 failed"
+ done
+
+ # install base packages directories
+ dodir /usr/lib/xemacs/xemacs-packages/
+ dodir /usr/lib/xemacs/site-packages/
+ dodir /usr/lib/xemacs/site-modules/
+ dodir /usr/lib/xemacs/site-lisp/
+
+ if use mule;
+ then
+ dodir /usr/lib/xemacs/mule-packages
+ fi
+
+ # remove extraneous info files
+ cd "${D}"/usr/share/info
+ rm -f dir info.info texinfo* termcap* standards*
+
+ cd "${S}"
+ dodoc CHANGES-* ChangeLog INSTALL Installation PROBLEMS README*
+ dodoc "${FILESDIR}"/README.Gentoo
+
+ insinto /usr/share/pixmaps
+ newins "${S}"/etc/${PN}-icon.xpm ${PN}.xpm
+
+ insinto /usr/share/applications
+ doins "${FILESDIR}"/${PN}.desktop
+}
+
+pkg_postinst() {
+ eselect emacs update --if-unset
+}
+
+pkg_postrm() {
+ eselect emacs update --if-unset
+}